nisclient(8)

NAME
nisclient - initialize NIS+ credentials

SYNOPSIS
/usr/lib/nis/nisclient -c [ -xov ] [ -l <password> ] [ -d <domain> ] client ...

/usr/lib/nis/nisclient -i [ -xv ] [ -h <server> ] [ -a <NIS+_server_addr> ] [ -d <NIS+_domain> ] [ -S 0|2 ]

/usr/lib/nis/nisclient -u [ -xv ]

/usr/lib/nis/nisclient -r [ -x ]

DESCRIPTION
The nisclient shell script can be used to:

    •  create NIS+ credentials for hosts and users

    •  initialize NIS+ hosts and users

    •  restore the network service environment

NIS+ credentials are used to provide authentication information of NIS+ clients to NIS+ service.

During the client initialization process, files that are being modified are backed up as <files>.no_nisplus. The files that are usually modified during a client initialization are: /etc/nsswitch.conf, /etc/hosts, and, if it exists, /var/nis/NIS_COLD_START. Note that a file will not be saved if a backup file already exists.

It is not necessary to initialize NIS+ root master servers.

OPTIONS

-a <erver>
    Specifies the IP address for the NIS+ server. This option is used only with the -i option.

-c  Adds DES credentials for NIS+ principals.

-d <domain>
    Specifies the NIS+ domain where the credential should be created when used in conjuction with the -c option. It specifies the name for the new NIS+ domain when used in conjuction with the -i option. The default is your current domainname.

-h <server>
    Specifies the NIS+ server's hostname. This option is used only with the -i option.

-i  Initializes an NIS+ client machine.

-l <password>
    Specifies the network password for the clients. This option is used only with the -c option. If this option is not specified, the script will prompt you for the network password.

-o  Overwrite existing credential entries. The default is not to overwrite. This is used onlywith the -c option.

-r  restores the network service environment.

-S 0|2
    Specifies the authentication level for the NIS+ client. Level 0 is for unauthenticated clients and level 2 is for authenticated (DES) clients. The default is to set up with level 2 authentication. This is used only with the -i option. nisclient always uses level 2 authentication (DES) for both -c and -u options. There is no need to run nisclient with -u and -c for level 0 authentication.

-u  Initializes an NIS+ user.

-v  Runs the script in verbose mode.

-x  turns the "echo" mode on. The script just prints the commands that it would have executed. Note that the commands are not actually executed. The default is off.

EXAMPLES
To add the DES credential for host linux and user torvalds in the local domain:

    example% /usr/lib/nis/nisclient -c linux torvalds

To add the DES credential for host linux and user torvalds in domain kernel.org.:

    example% /usr/lib/nis/nisclient -c -d kernel.org.\
    linux torvalds

To initialize host linux as an NIS+ client in domain kernel.org. where nisplus_server is a server for the domain kernel.org.:

    example# /usr/lib/nis/nisclient -i -h nisplus_server\
    -d kernel.org.

The script will prompt you for the IP address of nisplus_server if the server is not found in the /etc/hosts file. The -d option is needed only if your current domain name is different from the new domain name.

To initialize host linux as an unauthenticated NIS+ client in domain kernel.org. where nisplus_server is a server for the domain kernel.org.:

    example# /usr/lib/nis/nisclient -i -S 0 \
    -h nisplus_server -d kernel.org. \
    -a 129.140.44.1

To initialize user torvalds as an NIS+ principal, log in as user torvalds on an NIS+ client machine.

    example% /usr/lib/nis/nisclient -u

FILES
/var/nis/NIS_COLD_START
    This file contains a list of servers, their transport addresses, and their Secure RPC public keys that serve the machines default domain.
/etc/nsswitch.conf
    configuration file for the name-service switch
/etc/hosts
    local host name database

SEE ALSO
chkey(1), keylogin(1), keyserv(8), nisaddcred(8), nisinit(8), nsswitch(5) or nsswitch.conf(5)